uk.gov.hmrc.logging

# StubLogger

###
Related Doc: package logging

#### class StubLogger extends SimpleLogger

Captures log events for unit testing. Thread-safe.

Linear Supertypes
SimpleLogger, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StubLogger
2. SimpleLogger
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new StubLogger(echo: Boolean = false)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def all: List[LogEntry]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clear(): Unit

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def debug(msg: String, t: Throwable): Unit

   Definition Classes
     StubLogger → SimpleLogger

9. #### def debug(format: String, arguments: AnyRef*): Unit

   Definition Classes
     StubLogger → SimpleLogger

10. #### def debugs: List[LogEntry]

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def error(msg: String, t: Throwable): Unit

    Definition Classes
      StubLogger → SimpleLogger

14. #### def error(format: String, arguments: AnyRef*): Unit

    Definition Classes
      StubLogger → SimpleLogger

15. #### def errors: List[LogEntry]

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### def info(msg: String, t: Throwable): Unit

    Definition Classes
      StubLogger → SimpleLogger

20. #### def info(format: String, arguments: AnyRef*): Unit

    Definition Classes
      StubLogger → SimpleLogger

21. #### def infos: List[LogEntry]

22. #### def isEmpty: Boolean

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def size: Int

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def warn(msg: String, t: Throwable): Unit

    Definition Classes
      StubLogger → SimpleLogger

34. #### def warn(format: String, arguments: AnyRef*): Unit

    Definition Classes
      StubLogger → SimpleLogger

35. #### def warns: List[LogEntry]

### Inherited from SimpleLogger

### Inherited from AnyRef

### Inherited from Any

### Ungrouped